WordPress.org

Ready to get started?Download WordPress

Forums

Just crashed my blog including the admin (8 posts)

  1. parasitius
    Member
    Posted 3 years ago #

    I strongly recommend using "Preview" within admin before activating this theme, as once I activated it my whole front page AND admin went dead with the error:

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /home/content/ [...] /wp-content/themes/platform/core/library/class.layout.php on line 38

    This is on a perfect fresh install of WordPress at GoDaddy, I've done this many times and never had such a thing happen before. Maybe I'm the odd man out, we'll see if anyone replies and says they had the same problem.

  2. obscure
    Member
    Posted 3 years ago #

    before activating this theme

    Err which theme?

  3. parasitius
    Member
    Posted 3 years ago #

    Uh-oh. Sorry, I was talking about:

    Platform
    http://wordpress.org/extend/themes/platform

    Explanation of what I did:

    So I guess I've written in an open forum that has no link to a specific theme's page. It should make me feel really guilty. I hate when people give books on Amazon 1 star and write a review of a 3rd party seller's service instead of the book contents. But I think perhaps I'm not at fault for thinking when I clicked to write this post that it would leave a comment specifically for the theme I was viewing (url above). Not only is the link directly below the star rating for the theme, but I believe in the Plug-ins section it is possible to leave comments about a specific plugin. Bad design folks. Sorry.

  4. obscure
    Member
    Posted 3 years ago #

    OK, not sure what happened for you. That theme works fine on my local system and on my hosted one (tested it but don't actually use it). If you like the theme I suggest you check out there support forum http://www.pagelines.com/forum/. Pretty sure they will be able to help you get it working.

  5. parasitius
    Member
    Posted 3 years ago #

    Thank you! Looking into it...

  6. arpowers
    Member
    Posted 3 years ago #

    On it...

    This error is due to you being on PHP4 instead of PHP5.

    Check with your host about an upgrade..

    Sorry, should have put system requirements in the description.

    Andrew Powers
    PageLines

  7. sbysky
    Member
    Posted 3 years ago #

    I also encounter this kind of problem.
    My PHP server is 4.3.9. Then when I active the theme Platform. The Blog is chashed totally!
    Recently it is possilbe to upgrade the PHP version. Can I solve this problem by modifying the MySQL database?

  8. arpowers
    Member
    Posted 3 years ago #

    First step is to ask your host to upgrade your account to PHP5.

    If you want to revert to the default theme, just login with ftp and rename platform to something else.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags